
#include <qfile.h>
#include <qstring.h>
#include <qtextstream.h>
#include "parser.h"
#include <stdio.h>


extern int yyparse(void *);
extern int yydebug;
const char *lexinput;


main()
{
	QFile configFile( "/var/lib/dhcp/dhcpd.conf" );
	QString configData;
	Parser confParser;
	QString result;
	
	if (configFile.open( IO_ReadOnly ))
	{
		QTextStream ts(&configFile);
		ts.setEncoding(QTextStream::Latin1); // Locale??
		configData = ts.read(); 
		configFile.close();
		lexinput = configData.ascii();
		yydebug = 0;
	        yyparse( &confParser );
		result = confParser.generate();
		printf("%s", result.ascii());
	}
}
